<script>
  import { createEventDispatcher } from 'svelte'
  import Board from './Board.svelte'
  import Players from './Players.svelte'

  export let squares
  export let isPlayerOneTurn
  export let endGameMsg

  const dispatch = createEventDispatcher()

  const onClickReset = () => dispatch('reset')
</script>

<div>
  {#if endGameMsg}
    <div class="msg-wrapper flex-align">
      <p class="end-game-message">{endGameMsg}</p>
    </div>
  {:else}
    <Board {squares} on:selectSquare />
    <Players {isPlayerOneTurn} />
  {/if}
  <div class="flex-align">
    <button type="button" class="reset-button" on:click={onClickReset}>Reset</button>
  </div>
</div>

<style>
  .flex-align {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  button.reset-button {
    margin: 8px auto;
    border: 2px solid #83c5be;
    padding: 7px 10px;
    text-transform: uppercase;
    border-radius: 4px;
    background-color: floralwhite;
    font-size: 1rem;
    font-weight: 600;
  }

  .msg-wrapper {
    height: 400px;
    width: 100%;
  }

  .end-game-message {
    font-size: 4rem;
    text-align: center;
    transform: rotate(-20deg);
    margin: 0;
  }
</style>
